SMSResource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSResource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSResource

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSResource

extends LogicalElement

Naming Rules:
  0="SMSCollectionClient,name"
Persistable:
  true
Table Name:
  SMSRESOURCES
Top Level:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getIPAddresses()`
`java.lang.String` | `getIPSubnets()`
`java.lang.String` | `getMACAddresses()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNetbiosName()`
`SMSCollectionClients` | `getSMSCollectionClient()`
`boolean` | `hasIPAddresses()`
`boolean` | `hasIPSubnets()`
`boolean` | `hasMACAddresses()`
`boolean` | `hasName()`
`boolean` | `hasNetbiosName()`
`boolean` | `hasSMSCollectionClient()`
`void` | `setIPAddresses(java.lang.String x)`
`void` | `setIPSubnets(java.lang.String x)`
`void` | `setMACAddresses(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNetbiosName(java.lang.String x)`
`void` | `setSMSCollectionClient(SMSCollectionClients x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getMACAddresses

    java.lang.String getMACAddresses()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMACAddresses

    void setMACAddresses(java.lang.String x)

### hasMACAddresses

    boolean hasMACAddresses()

### getIPSubnets

    java.lang.String getIPSubnets()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIPSubnets

    void setIPSubnets(java.lang.String x)

### hasIPSubnets

    boolean hasIPSubnets()

### getSMSCollectionClient

    SMSCollectionClients getSMSCollectionClient()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSCollectionClient

    void setSMSCollectionClient(SMSCollectionClients x)

### hasSMSCollectionClient

    boolean hasSMSCollectionClient()

### getIPAddresses

    java.lang.String getIPAddresses()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIPAddresses

    void setIPAddresses(java.lang.String x)

### hasIPAddresses

    boolean hasIPAddresses()

### getNetbiosName

    java.lang.String getNetbiosName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNetbiosName

    void setNetbiosName(java.lang.String x)

### hasNetbiosName

    boolean hasNetbiosName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD